Mark Eve image as latest (PUT /v1/apps/images/baseos/latest)
PUT /api/v1/apps/images/baseos/latest. Storage API reference.
Authorizations
Bearer token for user session
Headers
User-Agent specified id to track a request
Body
Image metadata for edge gateway Base OS or for eedge applications.
User defined name of the image, unique across the enterprise. Once image is created, name can’t be changed.
3 - 256[a-zA-Z0-9][a-zA-Z0-9_.-]+User defined title of the image. Title can be changed at any time.
3 - 256[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+Image binary format.
FmtUnknown, RAW, QCOW, QCOW2, VHD, VMDK, OVA, VHDX, CONTAINER, ISO, PVC Image Architecture.
UNSPECIFIED, UNDEFINED, AMD64, ARM64 Image type
IMAGE_TYPE_UNSPECIFIED, IMAGE_TYPE_EVE, IMAGE_TYPE_APPLICATION, IMAGE_TYPE_EVEPRIVATE, IMAGE_TYPE_ARTIFACT, IMAGE_TYPE_DOCKER_COMPOSE_TAR, IMAGE_TYPE_DOCKER_RUNTIME, IMAGE_TYPE_ZKS_RUNTIME Datastore Id where image binary is located.
[a-fA-F0-9]{8}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{4}-[a-fA-F0-9]{12}Detailed description of the image.
256Image relative path w.r.t. Datastore
Image checksum in SHA256 format
system defined info
Image size in KBytes.
project access list of the image
datastore Id list where image binary is located.
flag to indicate eve image is LTS or not
Response
A successful response.
OPS_TYPE_UNSPECIFIED, OPS_TYPE_READ, OPS_TYPE_DELETE, OPS_TYPE_CREATE, OPS_TYPE_UPDATE, OPS_TYPE_LIST - OPS_STATUS_PENDING: In rare cases, system may not start operation when it was requested. Client will be notified that operation is PENDING
- OPS_STATUS_ONGOING: system will start the operation, but at the time response was generated, operation is still ONGOING.
- OPS_STATUS_COMPLETE: Even if the result of the operations may result in failure, but the OpsStatus will marked COMPLETE for almost all cases.
OPS_STATUS_UNSPECIFIED, OPS_STATUS_PENDING, OPS_STATUS_ONGOING, OPS_STATUS_COMPLETE OBJECT_TYPE_UNSPECIFIED, OBJECT_TYPE_USER, OBJECT_TYPE_EDGE_NODE, OBJECT_TYPE_EDGE_APP, OBJECT_TYPE_IMAGE, OBJECT_TYPE_EDGE_APP_INSTANCE, OBJECT_TYPE_PROJECT, OBJECT_TYPE_NETWORK, OBJECT_TYPE_DATASTORE, OBJECT_TYPE_SERVICE, OBJECT_TYPE_SERVICE_INSTANCE, OBJECT_TYPE_ENTERPRISE, OBJECT_TYPE_ROLE, OBJECT_TYPE_CREDENTIAL, OBJECT_TYPE_NETWORK_INSTANCE, OBJECT_TYPE_VOLUME_INSTANCE, OBJECT_TYPE_REALM, OBJECT_TYPE_AUTHPROFILE, OBJECT_TYPE_POLICY, OBJECT_TYPE_APP_POLICY, OBJECT_TYPE_CLUSTER_INSTANCE, OBJECT_TYPE_PLUGIN, OBJECT_TYPE_DOC_POLICY, OBJECT_TYPE_ORCHESTRATOR_CLUSTER, OBJECT_TYPE_TAGS, OBJECT_TYPE_EDGE_NODE_INTERFACE, OBJECT_TYPE_DEPLOYMENT, OBJECT_TYPE_ENTITLEMENTS, OBJECT_TYPE_DATA_STREAM, OBJECT_TYPE_API_USAGE, OBJECT_TYPE_APP_INSTANCE_SNAPSHOT, OBJECT_TYPE_PATCH_ENVELOPE, OBJECT_TYPE_RESOURCE_USAGE_TRACK, OBJECT_TYPE_PATCH_ENVELOPE_REFERENCE, OBJECT_TYPE_DEV_PASSTHROUGH, OBJECT_TYPE_EDGE_NODE_CLUSTER, OBJECT_TYPE_ASSET_GROUP, OBJECT_TYPE_APP_PROFILE, OBJECT_TYPE_PROFILE_DEPLOYMENT, OBJECT_TYPE_ZKS_INSTANCE, OBJECT_TYPE_CLUSTER_GROUP